Panda3D

Public Member Functions | Friends | List of all members
InterrogateManifest Class Reference

An internal representation of a manifest constant. More...

`#include "interrogateManifest.h"`

Inheritance diagram for InterrogateManifest:

## Public Member Functions
| InterrogateManifest (const InterrogateManifest &copy)
| InterrogateManifest (InterrogateModuleDef *def=nullptr)
const std::string & | get_definition () const
FunctionIndex | get_getter () const
int | get_int_value () const
TypeIndex | get_type () const
bool | has_getter () const
bool | has_int_value () const
bool | has_type () const
void | input (std::istream &in)
| Reads the data file as previously formatted by output(). More...
void | operator= (const InterrogateManifest &copy)
void | output (std::ostream &out) const
| Formats the InterrogateManifest data for output to a data file. More...
void | remap_indices (const IndexRemapper &remap)
| Remaps all internal index numbers according to the indicated map. More...
Public Member Functions inherited from InterrogateComponent
| InterrogateComponent (const InterrogateComponent &copy)
| InterrogateComponent (InterrogateModuleDef *def=nullptr)
const std::string & | get_alt_name (int n) const
const char * | get_library_name () const
| Returns the library name, if it is known, or NULL if it is not. More...
const char * | get_module_name () const
| Returns the module name, if it is known, or NULL if it is not. More...
const std::string & | get_name () const
int | get_num_alt_names () const
bool | has_library_name () const
| Returns true if we have a known library name, false if we do not. More...
bool | has_module_name () const
| Returns true if we have a known module name, false if we do not. More...
bool | has_name () const
void | input (std::istream &in)
| Reads the data file as previously formatted by output(). More...
void | operator= (const InterrogateComponent &copy)
void | output (std::ostream &out) const
| Formats the component for output to a data file. More...

## Friends
class | InterrogateBuilder

## Detailed Description

An internal representation of a manifest constant.

Definition at line 26 of file interrogateManifest.h.

## Member Function Documentation

## ◆ input()

void InterrogateManifest::input | ( | std::istream & | in | ) |

Reads the data file as previously formatted by output().

Definition at line 34 of file interrogateManifest.cxx.

References idf_input_string(), and InterrogateComponent::input().

## ◆ output()

void InterrogateManifest::output | ( | std::ostream & | out | ) | const

Formats the InterrogateManifest data for output to a data file.

Definition at line 21 of file interrogateManifest.cxx.

References idf_output_string(), and InterrogateComponent::output().

## ◆ remap_indices()

void InterrogateManifest::remap_indices | ( | const IndexRemapper & | remap | ) |

Remaps all internal index numbers according to the indicated map.

This called from InterrogateDatabase::remap_indices().

Definition at line 45 of file interrogateManifest.cxx.

References IndexRemapper::map_from().

The documentation for this class was generated from the following files:

- dtool/src/interrogatedb/interrogateManifest.h
- dtool/src/interrogatedb/interrogateManifest.cxx
- dtool/src/interrogatedb/interrogateManifest.I